import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/theme.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CustomDivider extends StatelessWidget {
  final Color? color;
  final EdgeInsets? margin;

  const CustomDivider({
    super.key,
    this.color,
    this.margin,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      height: scale(1),
      margin: margin ?? EdgeInsets.zero,
      color: color ?? context.theme.appColors.grey200,
    );
  }
}
