import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:acurr_package/src/common/helper.dart';
import 'package:acurr_package/src/theme/theme.dart';

class FutureBodyError extends StatelessWidget {
  final double? height;

  const FutureBodyError({
    super.key,
    this.height,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      child: SvgPicture.asset(
        'assets/images/common/warning.svg',
        height: scale(16),
        fit: BoxFit.contain,
        colorFilter: ColorFilter.mode(context.theme.appColors.white, BlendMode.srcIn),
      ),
    );
  }
}
