import 'package:flutter/material.dart';

class FutureBodyLoader extends StatelessWidget {
  final EdgeInsets? padding;
  final Color? color;

  const FutureBodyLoader({
    super.key,
    this.padding,
    this.color,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding ?? EdgeInsets.zero,
      child: Center(
        child: CircularProgressIndicator(
          color: color ?? Colors.red,
        ),
      ),
    );
  }
}
